#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Net
%define		pnam	Patricia
Summary:	Net::Patricia - Patricia Trie Perl module for fast IP address lookups
Summary(pl.UTF-8):	Net::Patricia - moduł Perla Patricia Trie do szybkiego wyszukiwania adresów IP
Name:		perl-Net-Patricia
Version:	1.22
Release:	2
License:	GPL v2+
Group:		Development/Languages/Perl
Source0:	http://search.cpan.org/CPAN/authors/id/G/GR/GRUBER/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	ef838f7512b050ca4b35d742f9565b3b
URL:		http://search.cpan.org/dist/Net-Patricia/
BuildRequires:	perl-Net-CIDR-Lite
BuildRequires:	perl-Socket6
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module uses a Patricia Trie data structure to quickly perform IP
address prefix matching for applications such as IP subnet, network or
routing table lookups.

The data structure is based on a radix tree using a radix of two,
so sometimes you see patricia implementations called "radix" as well.
The term "Trie" is derived from the word "retrieval" but is pronounced
like "try".  Patricia stands for "Practical Algorithm to Retrieve
Information Coded as Alphanumeric", and was first suggested for
routing table lookups by Van Jacobsen. Patricia Trie performance
characteristics are well-known as it has been employed for routing
table lookups within the BSD kernel since the 4.3 Reno release.

%description -l pl.UTF-8
Ten moduł używa struktury danych Patricia Trie do wykonywania
szybkiego dopasowywania prefiksów IP dla zastosowań takich jak
przeszukiwanie podsieci IP, sieci czy tabel routingu.

Struktura danych jest oparta na drzewie radix przy podstawie
wynoszącej 2 - implementacje patricia czasem są nazywane także radix.
Termin "Trie" pochodzi od słowa "retrieval" (odczytywanie), ale jest
wymawiany jak "try". Patricia to skrót od "Practical Algorithm to
Retrieve Information Coded as Alphanumeric" (praktyczny algorytm
odczytywania informacji zakodowanych alfanumerycznie) i jako
pierwszy zaproponowany do przeszukiwania tabel routingu przez Van
Jacobsena. Charakterystyki wydajności Patricia Trie są dobrze znane,
jako że struktura ta jest wykorzystywana przy przeszukiwaniu tabel
routingu w jądrze BSD od wersji 4.3 Reno.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorarch}/Net/*.pm
%dir %{perl_vendorarch}/auto/Net/Patricia
%attr(755,root,root) %{perl_vendorarch}/auto/Net/Patricia/Patricia.so
%{_mandir}/man3/*
%changelog
* Wed Sep 17 2014 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-Net-Patricia.git;a=log;h=master

* Wed Sep 17 2014 Jan Rękorajski <baggins@pld-linux.org> 796c2ec
- fix BR
- rel 2

* Wed Sep 17 2014 Jan Rękorajski <baggins@pld-linux.org> 5cdc762
- up to 1.22

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> 5c26403
- release 4 (by relup.sh)

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> c5c8517
- removed zero-sized .bs file

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> 64ca573
- rebuild for perl 5.20
- release 3 (by relup.sh)

* Thu Jun 13 2013 Jan Rękorajski <baggins@pld-linux.org> 6bfde73
- rel 2

* Sat Jun 08 2013 Jan Rękorajski <baggins@pld-linux.org> e59bec6
- rebuild with perl 5.18.0
- release 2 (by relup.sh)

* Sat Jan 14 2012 zbyniu <zbyniu@pld-linux.org> 037881e
- up to 1.19

* Tue Oct 11 2011 lisu <lisu@pld-linux.org> 76f8672
- rel 4

* Fri Nov 12 2010 pawelz <pawelz@pld-linux.org> b6276ca
- release 3

* Sun Jun 06 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> bdfce9f
- release 2

* Fri Aug 28 2009 amateja <amateja@pld-linux.org> 8fea387
- updated to 1.15

* Sat Mar 14 2009 hawk <hawk@pld-linux.org> aa64cea
- release 3

* Mon Mar 24 2008 Jakub Bogusz <qboosh@pld-linux.org> 5357701
- generic URL

* Sun Feb 10 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 9f74dbd
- rel 2

* Thu Jan 10 2008 Elan Ruusamäe <glen@pld-linux.org> 7838af1
- add CC to %{__make}
  grep OPTIMIZE= perl-* -l|xargs grep -c CC=|grep :0|cut -d: -f1|xargs sed -i -e '/%{__make} \\$/a\\tCC="%{__cc}" \\'

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> c848b22
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> e5bf6b8
- converted to UTF-8

* Fri Nov 17 2006 maciek2w <maciek2w@pld-linux.org> 84886d8
- updated to 1.014

* Wed Nov 03 2004 paladine <paladine@pld-linux.org> fb3836a
- formatting

